summaryrefslogtreecommitdiff
path: root/sys-devel/ucpp
diff options
context:
space:
mode:
Diffstat (limited to 'sys-devel/ucpp')
-rw-r--r--sys-devel/ucpp/metadata.xml27
-rw-r--r--sys-devel/ucpp/ucpp-1.3.5.ebuild9
2 files changed, 18 insertions, 18 deletions
diff --git a/sys-devel/ucpp/metadata.xml b/sys-devel/ucpp/metadata.xml
index 834ac83006d0..1efe186e2317 100644
--- a/sys-devel/ucpp/metadata.xml
+++ b/sys-devel/ucpp/metadata.xml
@@ -1,15 +1,16 @@
<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>office@gentoo.org</email>
- <name>Gentoo Office project</name>
- </maintainer>
- <maintainer type="project">
- <email>sci@gentoo.org</email>
- <name>Gentoo Science Project</name>
- </maintainer>
- <upstream>
- <remote-id type="gitlab">scarabeusiv/ucpp</remote-id>
- </upstream>
-</pkgmetadata>
+ <maintainer type="project">
+ <email>office@gentoo.org</email>
+ <name>Gentoo Office project</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="gitlab">scarabeusiv/ucpp</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/sys-devel/ucpp/ucpp-1.3.5.ebuild b/sys-devel/ucpp/ucpp-1.3.5.ebuild
index dd47d3413428..858f87bb784f 100644
--- a/sys-devel/ucpp/ucpp-1.3.5.ebuild
+++ b/sys-devel/ucpp/ucpp-1.3.5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -10,17 +10,16 @@ SRC_URI="https://gitlab.com/scarabeusiv/${PN}/uploads/79f08e39c676f15ed8a59335f6
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux"
-IUSE="static-libs"
src_configure() {
econf \
--disable-werror \
- $(use_enable static-libs static)
+ --disable-static
}
src_install() {
default
- # package provides .pc files
- find "${D}" -name '*.la' -type f -delete || die
+ # no static archives
+ find "${ED}" -name '*.la' -type f -delete || die
}